=== m3w-widget/Makefile ===
#############################################################################
# Makefile for building: m3w-widget
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Sep 14 16:30:39 2010
# Project:  m3w-widget.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile m3w-widget.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/scew -I../qmaemo5homescreenadaptor -Ikpi_low -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lscew -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mywidget.cpp \
		thread.cpp \
		settingsdialog.cpp \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp \
		kpi_low/compose_ssap_msg.c \
		kpi_low/kpi_low.c \
		kpi_low/parse_ssap_msg.c \
		kpi_low/process_ssap_cnf.c \
		kpi_low/sib_access_tcp.c \
		kpi_low/sskp_errno.c moc_mywidget.cpp \
		moc_thread.cpp \
		moc_settingsdialog.cpp \
		moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = main.o \
		mywidget.o \
		thread.o \
		settingsdialog.o \
		qmaemo5homescreenadaptor.o \
		compose_ssap_msg.o \
		kpi_low.o \
		parse_ssap_msg.o \
		process_ssap_cnf.o \
		sib_access_tcp.o \
		sskp_errno.o \
		moc_mywidget.o \
		moc_thread.o \
		moc_settingsdialog.o \
		moc_qmaemo5homescreenadaptor.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		kpi_low/kpi_low.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		m3w-widget.pro
QMAKE_TARGET  = m3w-widget
DESTDIR       = 
TARGET        = m3w-widget

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: m3w-widget.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		kpi_low/kpi_low.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile m3w-widget.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
kpi_low/kpi_low.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile m3w-widget.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/m3w-widget1.0.0 || $(MKDIR) .tmp/m3w-widget1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/m3w-widget1.0.0/ && $(COPY_FILE) --parents mywidget.h thread.h settingsdialog.h ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h kpi_low/compose_ssap_msg.h kpi_low/kpi_low.h kpi_low/parse_ssap_msg.h kpi_low/process_ssap_cnf.h kpi_low/sib_access_tcp.h kpi_low/sskp_errno.h .tmp/m3w-widget1.0.0/ && $(COPY_FILE) --parents main.cpp mywidget.cpp thread.cpp settingsdialog.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp kpi_low/compose_ssap_msg.c kpi_low/kpi_low.c kpi_low/parse_ssap_msg.c kpi_low/process_ssap_cnf.c kpi_low/sib_access_tcp.c kpi_low/sskp_errno.c .tmp/m3w-widget1.0.0/ && (cd `dirname .tmp/m3w-widget1.0.0` && $(TAR) m3w-widget1.0.0.tar m3w-widget1.0.0 && $(COMPRESS) m3w-widget1.0.0.tar) && $(MOVE) `dirname .tmp/m3w-widget1.0.0`/m3w-widget1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/m3w-widget1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mywidget.cpp moc_thread.cpp moc_settingsdialog.cpp moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mywidget.cpp moc_thread.cpp moc_settingsdialog.cpp moc_qmaemo5homescreenadaptor.cpp
moc_mywidget.cpp: thread.h \
		mywidget.h \
		mywidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mywidget.h -o moc_mywidget.cpp

moc_thread.cpp: mywidget.h \
		thread.h \
		thread.h
	/usr/bin/moc $(DEFINES) $(INCPATH) thread.h -o moc_thread.cpp

moc_settingsdialog.cpp: mywidget.h \
		thread.h \
		settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_qmaemo5homescreenadaptor.cpp: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o moc_qmaemo5homescreenadaptor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mywidget.h \
		thread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mywidget.o: mywidget.cpp mywidget.h \
		thread.h \
		settingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mywidget.o mywidget.cpp

thread.o: thread.cpp thread.h \
		mywidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o thread.o thread.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		mywidget.h \
		thread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

qmaemo5homescreenadaptor.o: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmaemo5homescreenadaptor.o ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp

compose_ssap_msg.o: kpi_low/compose_ssap_msg.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/compose_ssap_msg.h \
		kpi_low/ssap_msg_common.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o compose_ssap_msg.o kpi_low/compose_ssap_msg.c

kpi_low.o: kpi_low/kpi_low.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/compose_ssap_msg.h \
		kpi_low/parse_ssap_msg.h \
		kpi_low/process_ssap_cnf.h \
		kpi_low/sskp_errno.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o kpi_low.o kpi_low/kpi_low.c

parse_ssap_msg.o: kpi_low/parse_ssap_msg.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/parse_ssap_msg.h \
		kpi_low/ssap_msg_common.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o parse_ssap_msg.o kpi_low/parse_ssap_msg.c

process_ssap_cnf.o: kpi_low/process_ssap_cnf.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/parse_ssap_msg.h \
