## m3w-widget 0.1-8

=== debian/changelog ===
m3w-widget (0.1-8) unstable; urgency=low

  * Added network state monitoring

 -- Borovinsky Pavel <borovins@cs.karelia.ru>  Wed, 6 Oct 2010 15:12:00 +0400

m3w-widget (0.1-7) unstable; urgency=low

  * Added settings window

 -- Galov Ivan <galov@cs.karelia.ru>  Thu, 16 Sep 2010 12:56:00 +0400

m3w-widget (0.1-6) unstable; urgency=low

  * Fixed using homescreen-loader

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 13:05:00 +0400

m3w-widget (0.1-5) unstable; urgency=low

  * Added turning ON/OFF GPS

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 13:05:00 +0400

m3w-widget (0.1-4) unstable; urgency=low

  * Fixed crashing at first launch

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 13:05:00 +0400

m3w-widget (0.1-3) unstable; urgency=low

  * Fixed pictures names

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 11:43:00 +0400

m3w-widget (0.1-2) unstable; urgency=low

  * Added auto-resizing of widget

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 03 Aug 2010 12:48:18 +0400

m3w-widget (0.1-1) unstable; urgency=low

  * First release

 -- Galov Ivan <galov@cs.karelia.ru>  Thu, 29 Jul 2010 11:07:18 +0400
