=== debian/control ===
Source: m3w-widget
Section: user/navigation
Priority: extra
Maintainer: Galov Ivan <galov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), m3w-gps, libqt4-dev, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libx11-dev, libexpat1-dev, libexpat1, libhildondesktop1, libhildondesktop1-dev, libqtm-dev
Standards-Version: 3.7.2

Package: m3w-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=m3-weather
Description: KP-GUI for M3-Weather application
 M3-Weather is a prototype of tourist application. This application defines coordinates of the current location using GPS and shows the forecast for the fixed area. M3-Weather uses web-site Weather.com for getting forecast and web-site Geonames.org for getting the name of the nearest city.
 This KP subscribes on current weather which is published in SIB by KP-Weather and name of current locality which is published in SIB by KP-City. Then all this information is shown on the display of internet tablet.
ATTENTION: this program is not working on desktop computers. Only on internet tablet.
