## m3w-widget 0.1-9

=== Makefile ===
#############################################################################
# Makefile for building: m3w-widget
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 5 15:22:49 2010
# Project:  m3w-widget.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile m3w-widget.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-m3w-widget

m3w-widget/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) m3w-widget/ || $(MKDIR) m3w-widget/ 
	cd m3w-widget/ && $(QMAKE) /home/borovins/MyDocs/m3w-widget-0.1/m3w-widget/m3w-widget.pro -unix -o $(MAKEFILE)
sub-m3w-widget-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) m3w-widget/ || $(MKDIR) m3w-widget/ 
	cd m3w-widget/ && $(QMAKE) /home/borovins/MyDocs/m3w-widget-0.1/m3w-widget/m3w-widget.pro -unix -o $(MAKEFILE)
sub-m3w-widget: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE)
sub-m3w-widget-make_default: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) 
sub-m3w-widget-make_first: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) first
sub-m3w-widget-all: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) all
sub-m3w-widget-clean: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) clean
sub-m3w-widget-distclean: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) distclean
sub-m3w-widget-install_subtargets: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) install
sub-m3w-widget-uninstall_subtargets: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: m3w-widget.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile m3w-widget.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile m3w-widget.pro

qmake_all: sub-m3w-widget-qmake_all FORCE

make_default: sub-m3w-widget-make_default FORCE
make_first: sub-m3w-widget-make_first FORCE
all: sub-m3w-widget-all FORCE
clean: sub-m3w-widget-clean FORCE
distclean: sub-m3w-widget-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-m3w-widget-install_subtargets FORCE
uninstall_subtargets: sub-m3w-widget-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
