=== debian/changelog ===
m3w-widget (0.1-9) unstable; urgency=low

  * Fixed build depends

 -- Borovinsky Pavel <borovins@cs.karelia.ru>  Wed, 7 Oct 2010 13:20:00 +0400
