## m3w-widget 0.1-10

=== debian/changelog ===
m3w-widget (0.1-10) unstable; urgency=low

  * Fixed build depends

 -- Borovinsky Pavel <borovins@cs.karelia.ru>  Wed, 7 Oct 2010 13:50:00 +0400
