=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: m3w-widget
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps, libqtm-bearer, libqtm-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps, libqtm-bearer
 XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=m3-weather
 Description: KP-GUI for M3-Weather application
  M3-Weather is a prototype of tourist application. This application defines coordinates of the current location using GPS and shows the forecast for the fixed area. M3-Weather uses web-site Weather.com for getting forecast and web-site Geonames.org for getting the name of the nearest city.
